/*
Theme Name: Twenty Twenty-Three Child
Theme URI: https://diviextended.com/
Author: Elicus Technologies
Author URI: https://elicus.com
Template: twentytwentythree
Version: 1.0.0
License: GNU General Public License v2 or later
License URI: http://www.gnu.org/licenses/gpl-2.0.html
*/

/* 
 * Custom styles
 */
body{
   font-family: "Poppins", sans-serif!important;
}

/* webinar */

.wp-block-countdown-block-countdown{width:100%!important;}
.tnp-subscription-minimal input.tnp-email, .tnp-subscription-minimal input.tnp-name{
background-color:#F4F6F9;
}
.tnp-privacy-field{text-wrap:wrap; font-size:12px;}
.wp-block-tnp-minimal p{display:none;}
.tnp-subscription-minimal{margin:0px;}

.main-shadow{-webkit-box-shadow: 8px 8px 66px 0px rgba(205, 205, 221, 0.35);}

@media (max-width:768px){
  * {
    scrollbar-width: none!important;
  }
  *::-webkit-scrollbar {
    width: 0px!important;
  }
}

* {
  scrollbar-width: thin;
  scrollbar-color: linear-gradient(180deg, rgba(255,179,0,1) 0%, rgba(255,0,174,1) 50%, rgba(0,180,255,1) 100%);
}

*::-webkit-scrollbar {
  width: 8px;
}

*::-webkit-scrollbar-track {
  background: transparent;
}

*::-webkit-scrollbar-thumb {
  background: linear-gradient(180deg, rgba(255,179,0,1) 0%, rgba(255,0,174,1) 50%, rgba(0,180,255,1) 100%);
}

.underline-left:after{
content:"";
display:block;
width:5.5rem;
height: 3px;
margin: 0.5rem 0 0 0.3rem;
background:linear-gradient(90deg, rgba(255,179,0,1) 0%, rgba(255,0,174,1) 50%, rgba(0,180,255,1) 100%);
}

.underline-left, .underline-center{position:relative;}
.underline-center:after{
  content: "";
  display: block;
  width: 5.5rem;
  left: 50%;
  position: absolute;
  height: 3px;
  transform: translateX(-50%);
  margin: 0.5rem 0 0 0;
  background:linear-gradient(90deg, rgba(255,179,0,1) 0%, rgba(255,0,174,1) 50%, rgba(0,180,255,1) 100%);
  }

@media(max-width:780px){
  .mobile-reverse-columns
  {
    flex-direction: column-reverse;
  }
}

.tnp-subscription-minimal br{display:none;}
.tnp input{font-family:"Poppins";}
.tnp input[type="submit"]{
  background-image: url("https://kolorowasciana.com/wp-content/uploads/2023/10/colorful-gradient-1.webp")!important;
  background-size: 100% 100%;
  transition:200ms ease-in-out;
}

.tnp input[type="submit"]:hover{
background-size: 150% 150%;
transition:200ms ease-in-out;
cursor:pointer;
}

.height-100{height:100%;}

#start, #graficy{
   min-height:100vh!important;
}
#start-kurs, #footer-wrapper, #graficy, #mega-menu{
  position: relative;
}
#start-kurs:after{
  background-image: url("https://kolorowasciana.com/wp-content/uploads/2023/10/segment-dots-25.svg");
  top: 50%;
  right:15px;
  transform: translateY(-50%);
  height: calc(100% - 200px);
  width: 50%;
  content: "";
  position:absolute;
  display: block;
  background-repeat:repeat;
  background-size:70px 66px;
 }

.panel, .panel-cart, .panel-2, .panel-4, .panel-megamenu{
    position: relative;
    /*min-height:calc(100vh - 60px);*/
  }
  
.panel:after, .panel-megamenu:after, .panel-cart:after, #footer-wrapper:after, #graficy:after, .panel-2:after, .panel-4:after{
   content: "";
   position:absolute;
   display: block;
   background-repeat:repeat;
   background-size:70px 66px;
  }

.panel-megamenu:after{
    background-image: url(https://kolorowasciana.com/wp-content/uploads/2023/10/segment-dots-25.svg);
    bottom: 50px;
    right: 50px;
    height: calc(100% - 100px);
    width: calc(50% - 50px);
 }

.panel:nth-child(1):after, #graficy:after, .panel-1:after{
    background-image: url("https://kolorowasciana.com/wp-content/uploads/2023/10/segment-dots-25.svg");
    top: 50%;
    right:15px;
    transform: translateY(-50%);
    height: calc(100% - 200px);
    width: 50%;
 }
.panel:nth-child(2):after,.panel:nth-child(5):after, .panel-2:after{
   background-image: url("https://kolorowasciana.com/wp-content/uploads/2023/10/segment-dots-white.svg");
   top: 50%;
   right:15px;
   transform: translateY(-50%);
   height: calc(100% - 200px);
   width: 50%;
   z-index:-1;
}

.panel:nth-child(4):after,  .panel:nth-child(7):after, .panel-4:after{
  background-image: url("https://kolorowasciana.com/wp-content/uploads/2023/10/segment-dots-white.svg");
  bottom: 15px;
  right:50%;
  transform: translateX(50%);
  height: 50%;
  width: calc(100% - 200px);
  z-index:-1;
}

.panel-cart:after{
  background-image: url("https://kolorowasciana.com/wp-content/uploads/2023/10/segment-dots-white.svg");
  bottom: 15px;
  left:15px;
  height: 50%;
  width: calc(45%);
  z-index:-1;
}


.panel:nth-child(8):after, .panel:nth-child(3):after{
  background-image: url("https://kolorowasciana.com/wp-content/uploads/2023/10/segment-dots-white.svg");
  bottom: 0;
  left:15px;
  height: calc(100% - 200px);
  width: 30%;
  z-index:-1;
}

.panel:nth-child(9):after, #footer-wrapper:after{
  background-image: url("https://kolorowasciana.com/wp-content/uploads/2023/10/segment-dots-25.svg");
  top: 50%;
  left:15px;
  height: 50%;
  width: 40%;
}
.kontakt-wrapper, .z-index1{
  position: relative;
  z-index: 1;
}
@media(max-width:1024px){
  #masthead{font-size:0.85em;}
}

.gradient-text{
          background-color: #333333;
      background: linear-gradient(90deg, rgba(255, 179, 0, 1) 10%, rgba(255, 0, 174, 1) 50%, rgba(0, 180, 255, 1) 100%);
            -webkit-background-clip: text;
            -webkit-text-fill-color: transparent;
            -webkit-font-smoothing: antialiased;
	width: max-content;
}

 #start, #graficy, #top, #start-kurs, #mega-menu{
    background-image: url("https://kolorowasciana.com/wp-content/uploads/2023/10/colorful-gradient-1.webp");
    background-size: 100% 100%;
 }


.footer-spacer{
      background: linear-gradient(90deg, rgba(255, 179, 0, 1) 0%, rgba(255, 0, 174, 1) 50%, rgba(0, 180, 255, 1) 100%);
}

.blur-tile{backdrop-filter: blur(2px);background-color:#ffffff1c; position:relative;box-shadow: 0 0 50px 0 #00000012;}
.megamenu-tile{position:relative;box-shadow: 0 0 50px 0 #00000012;}
.megamenu-tile-inner{height:100%;}
 /*HEADER*/
header{
    position:fixed;
    left:0;
    top:0;
    width:100%;
    z-index:11;
}
 /*ASIDE*/
@media (max-width:1690px){
  .big-screen-hidden{
     display:none;
  }
  aside{
    right:15px!important;
  }
}
@media (min-width:1690px){
  .small-screen-hidden{
    display:none;
  }
}
.aside-floater{
  z-index:10;
   position:fixed;
   right:30px;
   top:50%;
   transform: translateY(-50%);
   z-index:10;
 }
 .aside_wrapper ul{
   list-style-type: none;
   padding:0;
   margin:0;
   display: grid;
 }

 .aside_wrapper li a{
  width:max-content;
  height: 2em;
  display: flex;
  flex-direction: row-reverse;
  align-items: center;
   text-decoration:none;
   color:#fff;
   float:right;
   transition:300ms ease-in-out;
 }
 .aside_wrapper li a:before{
   content:"";
   transition:200ms ease-out;
   margin-left:10px;
   display:block;
   height:90%;
   width:3px;
   background:#fff;
   transition:300ms ease-in-out;
 }
 .aside_wrapper li a:hover:before{
  transition:200ms ease-out;
  width:10px;
 }

 /*CTA*/
 .cta-button, #commentform input[type="submit"]{
    background-image: url("https://kolorowasciana.com/wp-content/uploads/2023/10/colorful-gradient-1.webp");
    background-size: 100% 100%;
    transition:200ms ease-in-out;
 }
 .cta-button:hover, #commentform input[type="submit"]:hover{
  background-size: 150% 150%;
  transition:200ms ease-in-out;
 }

 #commentform input[type="submit"]{color:#fff;}

 /*ACTIVE BG*/
.unactiveBg{
  transform:translateY(-130px);
  transition:300ms ease-in-out;
}
 .activeBg{
  transform:translateY(0px);
  transition:300ms ease-in-out;
 }

 .active-aside ul li a{
    color:#333333!important;
    transition:200ms ease-in-out;
 }
 .active-aside ul li a::before{
  background:#333333!important;
  transition:200ms ease-in-out;
}

.drukarka-scienna-img img{
  height:80vh;
}

/* CONTACT BAR MOBILE */
@media (max-width:768px){
  .mobile-hidden{
    display:none!important;
  }
  .icons-wrapper div figure img{
    width:130px!important;
  }
  .wp-block-gallery .wp-block-image{
    width:100%!important;
  }
}
.contact-bar-mobile{
  position:fixed;
  left:0;
  bottom:0;
  width:100%;
  z-index:10;
}
@media (min-width:768px){
  .contact-bar-mobile{
    display:none;
  }
  .desktop-hidden{
    display:none!important;
  }
}   
.contact-bar-mobile_buttons-wrapper .wp-block-button{
  width: 50%!important;
}

/*CONTACT*/

.contact-link a{
  text-decoration: none!important;
  color:#fff!important;
}

/* --- CF7 - HOMEPAGE --- */
#wpcf7-f331-p12-o1  p label, #wpcf7-f331-p12-o1  p{
    color:#fff;
}
#wpcf7-f331-p12-o1 p, #wpcf7-f331-p3523-o1 p{
  margin:0!important;
  width: 100%;
}
#wpcf7-f331-p12-o1  form, #wpcf7-f331-p3523-o1 form{
  display: flex;
  flex-wrap: wrap;
  gap: 12px;
}
#wpcf7-f331-p12-o1  input[type="submit"], #wpcf7-f331-p3523-o1 input[type="submit"]{
   padding:0.5em;
   color:#fff;
   border:none;
   font-family:'Poppins';
   font-size:1em;
   width:250px;
   float: right;
   margin-top:15px;
  }

#wpcf7-f331-p12-o1  input[type="submit"]:hover, #wpcf7-f331-p3523-o1 input[type="submit"]:hover{
  color:#fff;
}

#wpcf7-f331-p12-o1 input[type="text"], #wpcf7-f331-p3523-o1 input[type="text"],
#wpcf7-f331-p12-o1 input[type="email"], #wpcf7-f331-p3523-o1 input[type="email"],
#wpcf7-f331-p12-o1 input[type="date"], #wpcf7-f331-p3523-o1 input[type="date"],
#wpcf7-f331-p12-o1 textarea, #wpcf7-f331-p3523-o1 textarea,
#wpcf7-f331-p12-o1 input[type="tel"], #wpcf7-f331-p3523-o1 input[type="tel"]{
  width:100%;
  height:30px;
}
#wpcf7-f331-p12-o1 p:nth-child(2), #wpcf7-f331-p12-o1 p:nth-child(3), #wpcf7-f331-p12-o1  p:nth-child(4), #wpcf7-f331-p12-o1  p:nth-child(5), #wpcf7-f331-p3523-o1 p:nth-child(2), #wpcf7-f331-p3523-o1 p:nth-child(3), #wpcf7-f331-p3523-o1 p:nth-child(4), #wpcf7-f331-p3523-o1 p:nth-child(5){
  width:calc(50% - 10px)!important;
}

#wpcf7-f331-p12-o1 p:nth-child(8),#wpcf7-f331-p12-o1 p:nth-child(9), #wpcf7-f331-p3523-o1 p:nth-child(8), #wpcf7-f331-p3523-o1 p:nth-child(9){
  font-size:10px;
  gap: 6px;
  display: flex;
}
.wpcf7-not-valid-tip{
  font-size:12px;
}
.wpcf7-response-output{
  color:#fff;
}
#wpcf7-f331-p12-o1 .codedropz-upload-handler{
  background:#333333;
}

#wpcf7-f331-p3523-o1 .codedropz-upload-handler{
background:#ffffff;
}

/* --- CF7 - SERWIS - START ---*/
#wpcf7-f2821-p2819-o1  input[type="text"],
#wpcf7-f2821-p2819-o1 input[type="email"],
#wpcf7-f2821-p2819-o1  input[type="date"],
#wpcf7-f2821-p2819-o1 textarea,
#wpcf7-f2821-p2819-o1 input[type="tel"]{
  width:100%;
  height:30px;
}

#wpcf7-f2821-p2819-o1  input[type="submit"]{
   padding:0.5em;
   color:#fff;
   border:none;
   font-family:'Poppins';
   font-size:1em;
   width:250px;
   float: right;
   margin-top:15px;
  }

#wpcf7-f2821-p2819-o1 input[type="submit"]:hover{
  color:#fff;
}
/* --- CF7 - SERWIS - END ---*/

.scroll-anim{
  position:absolute;
  bottom:20px;
  left:50%;
  transform:translateX(-50%);
}

.wp-block-details summary{
   font-weight:500;
}

/*responsive menu*/
.wp-block-navigation__responsive-container.is-menu-open{
position: fixed;
    left: 0;
    top: 0;
    width: 100%;
    height: 100vh;
    z-index:1100;
}
.has-modal-open .wp-block-navigation__responsive-close{
  width: 100%!important;
  padding:2em;
position:relative;z-index:1;}

.has-modal-open .wp-block-navigation-item__label{
   font-size: 2em;
}

.megamenu-btn{
position:absolute;
	right:-1px;
	bottom:-1px;
background-color:white;
width: 70px;
    height: 70px;
  display: flex;
  justify-content: end;
  align-items: end;
padding:10px;
clip-path: polygon(0 100%,100% 0,100% 100%);
}

.advantages-list{
list-style-type:none;
padding:0;
}
.advantages-list li{
    display: flex;
    gap: 10px;
    align-items: center;
    flex-wrap: wrap;
}

.advantages-list li:before{
content:"";
display:block;
width:1rem;
height: 2px;
background:linear-gradient(90deg, rgba(255,179,0,1) 0%, rgba(255,0,174,1) 50%, rgba(0,180,255,1) 100%);
}

.grecaptcha-badge{
  display:none;
}

/*COOKIES*/
@media (max-width: 576px){
.cky-box-bottom-right {
  bottom:42px!important;
}
.email-link a{
  font-size:5.5vw;
}
}
.out-of-stock{background:#f2f2f2; color:#33333380; text-align:center; padding: .75em 0;}
.cky-consent-container{
  z-index: 99999999!important;
}
.cky-btn-accept{
  background-image: url("https://kolorowasciana.com/wp-content/uploads/2023/10/colorful-gradient-1.webp")!important;
  background-size: 100% 100%!important;
  transition:200ms ease-in-out;
  border:none!important;
}
.cky-btn-customize{
  border-color:var(--wp--preset--color--tertiary)!important;
  color:var(--wp--preset--color--tertiary)!important;
}

/*HERO*/
.hero-buttons div a{
  min-width:200px;
} 

.hero-vid-col{
z-index:2;
}

.hero-vid-col figure{
max-width:60vw;
max-height:95vh;
aspect-ratio:9/16;
}
/*APP VISUALIZER*/

.hidden {
    display: none;
}


.zindex1{z-index:1;position:relative;}

.new-badge{position:relative;}
.new-badge::after{
  content:"Nowość!";
  background:red;
  color:#fff;
  font-size: 0.6em;
  padding:3px;
  left:-2.5em;
  top:-0.75em;
  position:absolute;
  z-index:1;
}
@-moz-document url-prefix() {
  #preloader {display:none!important;}
    }

    /* modal */

  #modal-3 span{
    font-size:1.2em;
  }

#modal-3{
  background-image: url("https://kolorowasciana.com/wp-content/uploads/2023/10/colorful-gradient-1.webp");
  background-size: 100% 100%;
}

#modal-3::after{
  content: "";
  position:absolute;
  display: block;
  background-repeat:repeat;
  background-size:70px 66px;
  content:"";
  background-image: url("https://kolorowasciana.com/wp-content/uploads/2023/10/segment-dots-25.svg");
  top: 20%;
  left:15px;
  height: 80%;
  width: 40%;
}

.list-item-margin-top li{
margin-top:10px;
}

.text-underline-none a{
  text-decoration:none!important; 
}

/* TUTOR LMS */
.tutor-btn{border-radius:0px;}
.tutor-dashboard .tutor-dashboard-left-menu .tutor-dashboard-permalinks li.active a, .tutor-btn-primary{
  background-image: url(https://kolorowasciana.com/wp-content/uploads/2023/10/colorful-gradient-1.webp) !important;
  background-size: 100% 100%;
  transition: .2s ease-in-out;
  color:#fff;
  border: 0px;
  outline: 0px;
  border-radius: 0px;
  font-family:"Poppins";
}
 .tutor-btn-primary:hover{
  color:#fff!important;
  background-size: 130% 130%;
  transition:200ms ease-in-out;
  border: 0px;
  outline: 0px;
  border-radius: 0px;
}
.tutor-btn-outline-primary{ transition: none;  font-family:"Poppins";}
.tutor-btn-outline-primary:hover, .tutor-btn-outline-primary:focus{
  background-image: url(https://kolorowasciana.com/wp-content/uploads/2023/10/colorful-gradient-1.webp) !important;
  color:#fff;
  background-color:transparent;
  background-size: 100% 100%;
  border: 0px;
  outline: 0px;
  border-radius: 0px;
  font-family:"Poppins";
  transition: none;}

#tutor-login-form div input, .tutor-forgot-password-form input, #tutor-registration-wrap input{font-family:"Poppins";}
.tutor-login-wrap, #tutor-registration-wrap{padding:0px;}

.tutor-page-wrap{
display: flex;
min-height: 100vh;
margin: 0;
align-content: center;
justify-content: center;
align-items: center;
}

.tutor-login-wrap, #tutor-registration-wrap{
  box-shadow:none;
  border-radius:0px;
  border:1px solid #ededed;
}

.tutor-dashboard .tutor-dashboard-left-menu .tutor-dashboard-menu-item-icon{
color:#3e3e3e;
}

.tutor-avatar{
  border-radius:0px;
  background-image:url("https://kolorowasciana.com/wp-content/uploads/2023/10/druk-scienny-czestochowa-logo.svg");
  background-size:contain;
}

.tutor-avatar-text{
  background:none;
 color:var(--wp--preset--color--contrast);
}

.tutor-card,.tutor-card-image-top{border-radius:0px;}
.tutor-progress-value{
  background: linear-gradient(90deg, rgba(255,179,0,1) 0%, rgba(255,0,174,1) 50%, rgba(0,180,255,1) 100%);
}

.tutor-dashboard-content .tutor-fs-5:after{
  content:"";
  display:block;
  width:3rem;
  height: 2px;
  margin: 0.5rem 0 0 0;
  background:linear-gradient(90deg, rgba(255,179,0,1) 0%, rgba(255,0,174,1) 50%, rgba(0,180,255,1) 100%);
  }
  .tutor-wrap input {
font-family:"Poppins";
  }

  .tutor-course-details-header{position:static!important; margin-top:44px;}

  .tutor-single-course-sidebar .tutor-sidebar-card .tutor-card-body{border-radius:0px;}

  .tutor-login-wrap{position:relative;margin-top:80px;}
  .tutor-login-wrap::before{
    content: "";
    display: block;
    background-image: url(https://kolorowasciana.com/wp-content/uploads/2023/10/kolorowa-sciana-logo.svg);
    width: 200px;
    height: 50px;
    background-repeat: no-repeat;
    top: -70px;
    left: 50%;
    position: absolute;
    background-size: contain;
    transform: translateX(-50%);
  }

  .slb_details{display:none;}

  .tutor-container{margin-top:2em; margin-bottom:2em;}

  /*Najwieksza realizacja druku sciennego*/
  .special-banner{
    height:100svh;
  }

  .border-gradient{
    border: 10px solid;
    border-image-slice: 1;
    border-width: 1px;
    border-image-source: linear-gradient(90deg, rgba(255,179,0,1) 0%, rgba(255,0,174,1) 50%, rgba(0,180,255,1) 100%);
  }

  /* popup kurs */
  @keyframes slideInPopup {
    0% {
      transform: translateX(1000px); 
    }
    100% {
      transform: translateX(0); 
    }
  }
@media(max-width:768px){
  #popup-kurs{
    bottom:60px!important;}
}
  #popup-kurs{
    position:fixed;
    display:block;
    right:20px;
    bottom:20px;
    max-width:calc(100vw - 40px);
    z-index:1;
    animation: slideInPopup 0.6s forwards;
    animation-delay: 10s;
    transition:ease;
    transform:translateX(1000px);
    -webkit-box-shadow: 0px 28px 44px 0px rgba(43, 43, 49, 0.27);
    -moz-box-shadow: 0px 28px 44px 0px rgba(43, 43, 49, 0.27);
    box-shadow: 0px 28px 44px 0px rgba(43, 43, 49, 0.27);
  }

  #close-popup-kurs{
    position:absolute;
    padding:7px;
    background:#fff;
    right:10px;
    border-radius:50px;
    top:10px;
    z-index:1;
    display:block;
    margin:0;
    cursor:pointer;
    -webkit-box-shadow: 0px 28px 44px 0px rgba(43, 43, 49, 0.57);
    -moz-box-shadow: 0px 28px 44px 0px rgba(43, 43, 49, 0.57);
    box-shadow: 0px 28px 44px 0px rgba(43, 43, 49, 0.57);
  }

  .hidden-important{display:none!important;}

.add-shadow{
    -webkit-box-shadow: 0px 5px 44px 0px rgba(43, 43, 49, 0.15);
    -moz-box-shadow: 0px 5px 44px 0px rgba(43, 43, 49, 0.15);
    box-shadow: 0px 5px 44px 0px rgba(43, 43, 49, 0.15);
}

.megamenu .wp-block-navigation ul{
width:100%;
}

.megamenu .wp-block-navigation li{
width:100%;
}
.megamenu .wp-block-navigation a{
    width: 100%;
    display: flex;
    justify-content: space-between;
    border-bottom:1px solid #ffffff7a;
    padding:0.65em;
    text-decoration:none;
    transition:300ms ease;
}

.megamenu .wp-block-navigation a:after{
content:url("data:image/svg+xml;base64,PD94bWwgdmVyc2lvbj0iMS4wIiBlbmNvZGluZz0iVVRGLTgiPz48c3ZnIGlkPSJXYXJzdHdhXzEiIHhtbG5zPSJodHRwOi8vd3d3LnczLm9yZy8yMDAwL3N2ZyIgdmlld0JveD0iMCAwIDE2IDEwIj48ZGVmcz48c3R5bGU+LmNscy0xe2ZpbGw6I2ZmZjtzdHJva2Utd2lkdGg6MHB4O308L3N0eWxlPjwvZGVmcz48cGF0aCBjbGFzcz0iY2xzLTEiIGQ9Im0xNS40OCw1LjQ4Yy4yNi0uMjYuMjYtLjY5LDAtLjk1TDExLjE4LjIzYy0uMjYtLjI2LS42OS0uMjYtLjk1LDAtLjI2LjI2LS4yNi42OSwwLC45NWwzLjgyLDMuODItMy44MiwzLjgyYy0uMjYuMjYtLjI2LjY5LDAsLjk1cy42OS4yNi45NSwwbDQuMy00LjNoMFptLTE1LjQ4LjJoMTV2LTEuMzVIMHYxLjM1WiIvPjwvc3ZnPg==");
width:20px;
transition:300ms ease;
}
.megamenu .wp-block-navigation a:hover{
background-color:rgba(255,255,255,0.08);
transition:300ms ease;
}


.megamenu .wp-block-navigation a:hover:after{
margin-right:10px;
transition:300ms ease;
}

.cd-upload-btn{color:var(--wp--preset--color--secondary)!important;}